Package org.apache.uima

# Interface List_of_ints

All Superinterfaces:
  `Iterable<Integer>`

public interface List_of_ints extends Iterable<Integer>
a List API that returns ints instead of T

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `add(int i)`
  `void`
  `add(int index, int element)`
  `void`
  `clear()`
  `default boolean`
  `contains(int i)`
  `void`
  `copyFromArray(int[] src, int srcPos, int destPos, int length)`
  `void`
  `copyToArray(int srcPos, int[] dest, int destPos, int length)`
  `static List_of_ints`
  `EMPTY_LIST()`
  `int`
  `get(int index)`
  `int`
  `indexOf(int i)`
  `org.apache.uima.internal.util.IntListIterator`
  `intListIterator()`
  `default boolean`
  `isEmpty()`
  `PrimitiveIterator.OfInt`
  `iterator()`
  `int`
  `lastIndexOf(int i)`
  `static List_of_ints`
  `newInstance(int[] ia)`
  `static List_of_ints`
  `newInstance(int[] ia, int start, int end)`
  `boolean`
  `remove(int i)`
  `int`
  `removeAtIndex(int index)`
  `int`
  `set(int index, int element)`
  `int`
  `size()`
  `void`
  `sort()`
  `List_of_ints`
  `subList(int fromIndex, int toIndex)`
  `int[]`
  `toArray()`
  `int[]`
  `toArrayMinCopy()`
  Avoid copying, return the original array, if start/end offsets not in use

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Method Details

  - ### size

    int size()

  - ### isEmpty

    default boolean isEmpty()

  - ### contains

    default boolean contains(int i)

  - ### toArray

    int[] toArray()

  - ### toArrayMinCopy

    int[] toArrayMinCopy()
    Avoid copying, return the original array, if start/end offsets not in use
    Returns:
      -

  - ### add

    boolean add(int i)

  - ### remove

    boolean remove(int i)

  - ### clear

    void clear()

  - ### get

    int get(int index)

  - ### set

    int set(int index, int element)

  - ### add

    void add(int index, int element)

  - ### removeAtIndex

    int removeAtIndex(int index)

  - ### indexOf

    int indexOf(int i)

  - ### lastIndexOf

    int lastIndexOf(int i)

  - ### subList

    List_of_ints subList(int fromIndex, int toIndex)

  - ### iterator

    PrimitiveIterator.OfInt iterator()
    Specified by:
      `iterator` in interface `Iterable<Integer>`

  - ### intListIterator

    org.apache.uima.internal.util.IntListIterator intListIterator()

  - ### copyFromArray

    void copyFromArray(int[] src, int srcPos, int destPos, int length)

  - ### copyToArray

    void copyToArray(int srcPos, int[] dest, int destPos, int length)

  - ### sort

    void sort()

  - ### EMPTY_LIST

    static List_of_ints EMPTY_LIST()

  - ### newInstance

    static List_of_ints newInstance(int[] ia)

  - ### newInstance

    static List_of_ints newInstance(int[] ia, int start, int end)